Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 Feb 2012 16:38:41 -0500

>>>> It will be hard to detect that /sudo::/foo is equal to file:///foo.
>> Maybe (in this case it might be reasonably easy, but of course there are
>> harder cases).

> We would need a function `file-local-representation' or something like
> this, which returns "/foo" in both file name handler implementations.
> Tramp's file name handler doesn't know of URL syntax, and vice versa.

Tramp's knowledge of the semantics of "/sudo::" lets it simply turn
(file-equal-p "/sudo::/foo" "file:///foo") into (file-equal-p "/foo"
"file:///foo"), after which the url-handler-mode can do the same kind of
trivial reasoning.

> And no, I do NOT propose to add this. Sounds like overengineering to me.

Neither do I.

        Stefan